Commit 21846f94 authored by Leo's avatar Leo Committed by Francesco Colista

community/apk-gtk: modernize

parent 17531fe4
# Maintainer:
# Maintainer:
pkgname=apk-gtk
pkgver=0.1
pkgrel=0
......@@ -6,29 +6,22 @@ pkgdesc="gtk+ frontend to apk"
url="https://github.com/kaniini/apk-gtk"
arch="all"
license="MIT"
depends=""
makedepends="gtk+2.0-dev gtk+3.0-dev vte-dev vte3-dev"
install=""
subpackages="$pkgname-gtk3 $pkgname-policy::noarch"
source="apk-gtk-$pkgver.tar.gz::https://github.com/kaniini/apk-gtk/archive/v$pkgver.tar.gz"
builddir="$srcdir/apk-gtk-$pkgver"
options="!check"
build() {
cd "$builddir"
make GTK_VERSION=3 || return 1
make GTK_VERSION=3
cp apk-gtk apk-gtk.3
make clean || return 1
make GTK_VERSION=2 || return 1
make clean
make GTK_VERSION=2
}
package() {
depends="$pkgname-policy"
cd "$builddir"
make GTK_VERSION=2 DESTDIR="$pkgdir" install || return 1
make GTK_VERSION=2 DESTDIR="$pkgdir" install
}
policy() {
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment